Skip to main content
PUT
Update skill

Authorizations

Authorization
string
header
required

Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.

Headers

X-Workspace-ID
string<uuid>

Company UUID for a personal token on company-scoped operations. A company API key already binds its company.

Path Parameters

id
string
required

id from the corresponding authorized response.

Body

application/json
name
string | null
description
string | null
content
string | null
config
any
files
object[]
auto_update
boolean | null

Response

the skill with files.

id
string
required
workspace_id
string
required
name
string
required
description
string
required
content
string
required
config
any
required
created_by
string | null
required
created_at
string
required
updated_at
string
required
scope
string
required
area_ids
string[]
required
files
object[]
required
source_edited
boolean | null